> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Segment

> Retrieve details of a specific segment.

Retrieve configuration, type, and current contact count for a segment.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the segment.
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">The segment ID.</ResponseField>
  <ResponseField name="name" type="string">The segment name.</ResponseField>
  <ResponseField name="type" type="string">Segment type (`manual` or `dynamic`).</ResponseField>
  <ResponseField name="contactsCount" type="number">Number of contacts.</ResponseField>
  <ResponseField name="criteria" type="object">Filter conditions.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.mailofly.com/api/v1/segments/seg_123 \
    -H "Authorization: Bearer mf_live_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "id": "seg_123",
      "name": "High-Value Customers",
      "type": "dynamic",
      "contactsCount": 142
    }
  }
  ```
</ResponseExample>


## Related topics

- [Retrieve Metrics](/api/segments/retrieve-metrics.md)
- [List Segments](/api/segments/list-segments.md)
- [List Segment Contacts](/api/segments/list-segment-contacts.md)
- [List Contact Segments](/api/contacts/list-contact-segments.md)
- [Segments](/audience/segments.md)
